include 3rdparty/glfw.pro
include 3rdparty/freetype.pro

TARGET    = imguizmo_example
CXXFLAGS  = -std=c++17 -fno-exceptions -fno-rtti -Os -s -static -static-libgcc -static-libstdc++
IMGUI_DIR = ../.modules/imgui
IMGUIZMO  = ../.modules/ImGuizmo
GUIZMO_SRC= $(IMGUIZMO)/ImGuizmo.cpp \
            $(IMGUIZMO)/GraphEditor.cpp \
            $(IMGUIZMO)/ImCurveEdit.cpp \
            $(IMGUIZMO)/ImGradient.cpp \
            $(IMGUIZMO)/ImSequencer.cpp
SOURCES   = $(GUIZMO_SRC) \
            $(IMGUIZMO)/example/main.cpp \
            $(IMGUI_DIR)/imgui.cpp \
            $(IMGUI_DIR)/imgui_draw.cpp \
            $(IMGUI_DIR)/imgui_tables.cpp \
            $(IMGUI_DIR)/imgui_widgets.cpp \
            $(IMGUI_DIR)/backends/imgui_impl_glfw.cpp \
            $(IMGUI_DIR)/backends/imgui_impl_opengl3.cpp \
            $(IMGUI_DIR)/misc/freetype/imgui_freetype.cpp

INCLUDES  = $(IMGUI_DIR) \
            $(IMGUI_DIR)/backends \
            ../.modules/glfw/deps/glad \
            $(IMGUIZMO) \
            $(IMGUIZMO)/example \
            ../$(OUTPUT_DIR)/install/usr/local/include \
            ../$(OUTPUT_DIR)/install/usr/local/include/freetype


LIBS = $(GL_LFLAGS) $(GLFW_LIB) $(FT2_LIB) -lvulkan -lGL

$(TARGET_BIN): $(GLFW_LIB) $(FT2_LIB)
